skb_copy_and_csum_datagram_iovec
Prev | Socket Buffer Functions | Next

## Name

skb_copy_and_csum_datagram_iovec — Copy and checkum skb to user iovec.

## Synopsis

`int skb_copy_and_csum_datagram_iovec (` | struct sk_buff * | skb,
| int | hlen,
| struct iovec * | iov`)`;

## Arguments

`skb`

  skbuff

`hlen`

  hardware length

`iov`

  io vector

## Description

Caller _must_ check that skb will fit to this iovec.

## Returns

0 - success. -EINVAL - checksum failure. -EFAULT - fault during copy. Beware, in this case iovec can be modified!

Prev | Up | Next
skb_copy_datagram_iovec | Home | datagram_poll